For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)

Get a link to the PDF version of a receivable

GET
/receivables/:receivable_id/pdf_link
GET
/v1/receivables/:receivable_id/pdf_link
$curl https://api.sandbox.monite.com/v1/receivables/receivable_id/pdf_link \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "file_url": "file_url",
3 "original_file_url": "original_file_url"
4}
Was this page helpful?
Previous

Delete a receivable

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
file_urlstring
The receivable's PDF URL in the counterpart's default language.
original_file_urlstring
The receivable's PDF URL in the entity's default language.

Errors

400
Get Receivables ID PDF Link Request Bad Request Error
401
Get Receivables ID PDF Link Request Unauthorized Error
403
Get Receivables ID PDF Link Request Forbidden Error
404
Get Receivables ID PDF Link Request Not Found Error
422
Get Receivables ID PDF Link Request Unprocessable Entity Error
500
Get Receivables ID PDF Link Request Internal Server Error